For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Webhook callback operations.

Dokobit Callback

post
Responses
200

Callback Ok

No content

post/webhook/callback/dokobit

No content

Adobe Webhook Verification

get

This GET method is used by Adobe eSign to verify the webhook configuration.

Header parameters
X-AdobeSign-ClientIdstringRequired

Unique Client ID sent by Adobe eSign for verification.

Responses
200

Adobe Webhook verification response.

application/json

Adobe Webhook Response

xAdobeSignClientIdstringOptional

Echoes back the Client ID received in the request.

get/webhook/callback/adobe

Adobe Webhook Event Listener

post

This POST method receives webhook event payloads from Adobe eSign.

Header parameters
X-AdobeSign-ClientIdstringRequired

Unique Client ID sent by Adobe eSign for verification.

Body
Other propertiesanyOptional
Responses
200

Adobe Webhook event received successfully.

application/json

Adobe Webhook Response

xAdobeSignClientIdstringOptional

Echoes back the Client ID received in the request.

post/webhook/callback/adobe

Signicat Webhook

get

This GET method is used by Signicat to notify about signed document events.

Query parameters
merchantAppIdstringRequired

Unique identifier for the merchant.

requestIdstringRequired

Unique identifier for the request.

Responses
200

Webhook processed successfully.

No content

get/webhook/callback/signicat

No content

BankAxept Agreement Order Webhook

post

Webhook endpoint invoked by BankAxept whenever there is a change to a merchant agreement order.

Body
orderIdstring · uuidRequired

BankAxept agreement order identifier

orderStatusstringRequired

Current status of the agreement order in BankAxept systems. Possible values: - BAX_NOT_CREATED - NOT_SIGNED - PENDING_BANK_RESPONSE - BAX_ACTIVE - REJECTED_RECREATE_SIGNING - ACCEPTED - REJECTED_CREATE_NEW_ORDER

Responses
202

Webhook accepted for asynchronous processing.

No content

post/webhook/callback/bankaxept

No content

Last updated

Was this helpful?